Skip to content

Retrieve an email

GET
/emails/{id}
curl --request GET \
--url https://api.duta.indra.sh/v1/emails/example \
--header 'Authorization: Bearer <token>'
id
required
string

Success

Media typeapplication/json
object
object
required
string
Allowed values: email
id
required
string
from
required
string
to
required
Array<string>
cc
required
Array<string> | null
bcc
required
Array<string> | null
reply_to
required
Array<string> | null
subject
required
string
html
required
string | null
text
required
string | null
tags
required
Array<object>
object
name
required
string
value
required
string
status
required
string
last_event
required
string
Allowed values: bounced canceled clicked complained delivered delivery_delayed failed opened queued scheduled sent suppressed
failure_reason
required
string | null
message_id
required

The provider message id

string | null
scheduled_at
required
null
created_at
required

ISO 8601

string format: date-time
log_id
required

The request that sent it

string | null
events
required
Array<object>
object
type
required
string
occurred_at
required

ISO 8601

string format: date-time
payload
required
string | null
Example
{
"object": "email",
"last_event": "bounced"
}

Missing or invalid API key

Media typeapplication/json
object
statusCode
required
integer
name
required

The Resend error name, so code that branches on it keeps working

string
message
required
string
code
required

Duta’s error code, finer grained than name

string
Allowed values: unauthorized forbidden not_found validation_failed domain_not_verified from_domain_not_allowed recipient_suppressed recipient_not_confirmed rate_limited quota_exceeded conflict payment_required account_paused content_rejected platform_halted payload_too_large length_required idempotency_conflict provider_error internal_error
detail
object
key
additional properties
request_id
required

Find this request on the Logs screen

string
Example
{
"code": "unauthorized"
}

Not found in this account

Media typeapplication/json
object
statusCode
required
integer
name
required

The Resend error name, so code that branches on it keeps working

string
message
required
string
code
required

Duta’s error code, finer grained than name

string
Allowed values: unauthorized forbidden not_found validation_failed domain_not_verified from_domain_not_allowed recipient_suppressed recipient_not_confirmed rate_limited quota_exceeded conflict payment_required account_paused content_rejected platform_halted payload_too_large length_required idempotency_conflict provider_error internal_error
detail
object
key
additional properties
request_id
required

Find this request on the Logs screen

string
Example
{
"code": "unauthorized"
}

The request was refused. code says why

Media typeapplication/json
object
statusCode
required
integer
name
required

The Resend error name, so code that branches on it keeps working

string
message
required
string
code
required

Duta’s error code, finer grained than name

string
Allowed values: unauthorized forbidden not_found validation_failed domain_not_verified from_domain_not_allowed recipient_suppressed recipient_not_confirmed rate_limited quota_exceeded conflict payment_required account_paused content_rejected platform_halted payload_too_large length_required idempotency_conflict provider_error internal_error
detail
object
key
additional properties
request_id
required

Find this request on the Logs screen

string
Example
{
"code": "unauthorized"
}

Rate limited. Retry after the Retry-After header

Media typeapplication/json
object
statusCode
required
integer
name
required

The Resend error name, so code that branches on it keeps working

string
message
required
string
code
required

Duta’s error code, finer grained than name

string
Allowed values: unauthorized forbidden not_found validation_failed domain_not_verified from_domain_not_allowed recipient_suppressed recipient_not_confirmed rate_limited quota_exceeded conflict payment_required account_paused content_rejected platform_halted payload_too_large length_required idempotency_conflict provider_error internal_error
detail
object
key
additional properties
request_id
required

Find this request on the Logs screen

string
Example
{
"code": "unauthorized"
}